# SourcePath: libmcheckb/ALL
Summary: Library to replace the memset function to improve memory usage
Name: sony-target-dev-libmcheckb
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-libmcheckb
Version: 0.1
Release: 08020105
License: GPL
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Source0: libmcheckb.tar
Patch1: noflood.patch
Patch2: backtrace_depth.patch
Patch3: 20150612_extend_01.patch

BuildRoot: %{_tmppath}/%{sony_target_cpu}-%{name}-root
Prefix: %{sony_target_dir}

%description
This library replaces malloc functions in the glibc library.
Replaced malloc functions stored backtrace when it be called.
The free function will detect buffer underrun, overrun, double free.

%package -n %{pkgname}
Summary: This library replaces malloc functions to detect buffer overrun.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
This library replaces malloc functions in the glibc library.
Replaced malloc functions stored backtrace when it be called.
The free function will detect buffer underrun, overrun, double free.

%prep
%setup -q -n libmcheckb
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%sony_target_dev_setup
make

%install
%sony_target_dev_setup
rm -rf %{buildroot}
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}
install -m 644 libmcheckb.so %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/libmcheckb.so

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_lib_dir}/libmcheckb.so

%changelog
* Wed Jun 17 2015 Sony Corporation
- extend feature
* Fri Jun 27 2014 Sony Corporation
- Initial build
